libzypp: zyppng::repo Namespace Reference

libzypp 17.36.6

Classes | Typedefs | Functions
zyppng::repo Namespace Reference

## Classes
class | DownloadContext
class | RefreshContext

## Typedefs
using | SyncDownloadContext = DownloadContext<SyncContextRef>
using | AsyncDownloadContext = DownloadContext<ContextRef>
using | RawMetadataRefreshPolicy = zypp::RepoManagerFlags::RawMetadataRefreshPolicy
using | RefreshCheckStatus = zypp::RepoManagerFlags::RefreshCheckStatus
using | SyncRefreshContext = RefreshContext<SyncContextRef>
using | AsyncRefreshContext = RefreshContext<ContextRef>

## Functions
| ZYPP_FWD_DECL_REFS (SyncDownloadContext)
| ZYPP_FWD_DECL_REFS (AsyncDownloadContext)
| ZYPP_FWD_DECL_TEMPL_TYPE_WITH_REFS_ARG1 (RefreshContext, ZyppContextRefType)
| ZYPP_FWD_DECL_REFS (SyncRefreshContext)
| ZYPP_FWD_DECL_REFS (AsyncRefreshContext)

## Typedef Documentation

## ◆ SyncDownloadContext

using zyppng::repo::SyncDownloadContext = DownloadContext<SyncContextRef>

Definition at line 69 of file downloader.h.

## ◆ AsyncDownloadContext

using zyppng::repo::AsyncDownloadContext = DownloadContext<ContextRef>

Definition at line 70 of file downloader.h.

## ◆ RawMetadataRefreshPolicy

using zyppng::repo::RawMetadataRefreshPolicy = zypp::RepoManagerFlags::RawMetadataRefreshPolicy

Definition at line 33 of file refresh.h.

## ◆ RefreshCheckStatus

using zyppng::repo::RefreshCheckStatus = zypp::RepoManagerFlags::RefreshCheckStatus

Definition at line 34 of file refresh.h.

## ◆ SyncRefreshContext

using zyppng::repo::SyncRefreshContext = RefreshContext<SyncContextRef>

Definition at line 139 of file refresh.h.

## ◆ AsyncRefreshContext

using zyppng::repo::AsyncRefreshContext = RefreshContext<ContextRef>

Definition at line 140 of file refresh.h.

## Function Documentation

## ◆ ZYPP_FWD_DECL_REFS() [1/4]

zyppng::repo::ZYPP_FWD_DECL_REFS | ( | SyncDownloadContext |  | ) |

## ◆ ZYPP_FWD_DECL_REFS() [2/4]

zyppng::repo::ZYPP_FWD_DECL_REFS | ( | AsyncDownloadContext |  | ) |

## ◆ ZYPP_FWD_DECL_TEMPL_TYPE_WITH_REFS_ARG1()

zyppng::repo::ZYPP_FWD_DECL_TEMPL_TYPE_WITH_REFS_ARG1 | ( | RefreshContext | ,
|  | ZyppContextRefType | )

## ◆ ZYPP_FWD_DECL_REFS() [3/4]

zyppng::repo::ZYPP_FWD_DECL_REFS | ( | SyncRefreshContext |  | ) |

## ◆ ZYPP_FWD_DECL_REFS() [4/4]

zyppng::repo::ZYPP_FWD_DECL_REFS | ( | AsyncRefreshContext |  | ) |